import { EventEmitter } from '../../../stencil-public-runtime';
export declare class SiteModal {
    open: boolean;
    onModalClose?: EventEmitter;
    modalClose?: () => void;
    visible: boolean;
    OPEN_DELAY: number;
    CLOSE_DELAY: number;
    backdropEl?: HTMLDivElement | null;
    componentDidLoad(): void;
    handleKeyUp(e: KeyboardEvent): void;
    openChanged(): void;
    close: () => void;
    openBackdrop: () => void;
    hideBackdrop: () => void;
    checkBackdrop: () => void;
    initBackdrop: (el: HTMLDivElement) => void;
    render(): any;
}
